## Copyright (C) 2024 franc
##
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <https://www.gnu.org/licenses/>.

## -*- texinfo -*-
## @deftypefn {} {@var{retval} =} residuo (@var{input1}, @var{input2})
##
## @seealso{}
## @end deftypefn

## Author: franc <franc@LAPTOP_FRAN>
## Created: 2024-11-01

function retval = residuo (c)
  c1 = c(1);
  c2 = c(2);
  H = [0.912 0.986 1.060 1.130 1.190 1.260 1.320 1.380 1.410 1.490];
  H = H';
  P = [13.7 15.9 18.5 21.3 23.5 27.2 32.7 36.0 38.6 43.7];
  P = P';

  retval = c1*H.^c2 - P;

endfunction
